Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class IdRangeUnit

    java.lang.Object
      rice.pastry.testing.IdRangeUnit

public class IdRangeUnit
extends java.lang.Object

IdRangeUnit tests the IdRange class.

Version:
  $Id: IdRangeUnit.java,v 1.5 2005/03/11 00:57:57 jeffh Exp $
Author:
  Peter Druschel

Constructor Summary
`IdRangeUnit()` Constructor for IdRangeUnit.

Method Summary
`IdRange` | `createEmptyIdRange()` DESCRIBE THE METHOD
`IdRange` | `createFullIdRange()` DESCRIBE THE METHOD
`IdRange` | `createIdRangeEndingIn(Id cw)` DESCRIBE THE METHOD
`IdRange` | `createIdRangeStartingWith(Id ccw)` DESCRIBE THE METHOD
`Id` | `createIdWithPrefix(byte b)` DESCRIBE THE METHOD
`IdRange` | `createRandomIdRange()` DESCRIBE THE METHOD
`void` | `diffSubtractTest(IdRange r1, IdRange r2)` DESCRIBE THE METHOD
`void` | `equalityTest(IdRange r1, IdRange r2)` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` DESCRIBE THE METHOD
`void` | `mergeIntersectTest(IdRange r1, IdRange r2)` DESCRIBE THE METHOD
`void` | `mergeTest(IdRange r1, IdRange r2)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdRangeUnit

    public IdRangeUnit()

  Constructor for IdRangeUnit.

Method Detail

### createRandomIdRange

    public IdRange createRandomIdRange()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### createFullIdRange

    public IdRange createFullIdRange()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### createEmptyIdRange

    public IdRange createEmptyIdRange()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### createIdRangeStartingWith

    public IdRange createIdRangeStartingWith(Id ccw)

  DESCRIBE THE METHOD

  Parameters:
    `ccw` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### createIdRangeEndingIn

    public IdRange createIdRangeEndingIn(Id cw)

  DESCRIBE THE METHOD

  Parameters:
    `cw` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### createIdWithPrefix

    public Id createIdWithPrefix(byte b)

  DESCRIBE THE METHOD

  Parameters:
    `b` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### equalityTest

    public void equalityTest(IdRange r1,
                             IdRange r2)

  DESCRIBE THE METHOD

  Parameters:
    `r1` - DESCRIBE THE PARAMETER
    `r2` - DESCRIBE THE PARAMETER

### mergeIntersectTest

    public void mergeIntersectTest(IdRange r1,
                                   IdRange r2)

  DESCRIBE THE METHOD

  Parameters:
    `r1` - DESCRIBE THE PARAMETER
    `r2` - DESCRIBE THE PARAMETER

### diffSubtractTest

    public void diffSubtractTest(IdRange r1,
                                 IdRange r2)

  DESCRIBE THE METHOD

  Parameters:
    `r1` - DESCRIBE THE PARAMETER
    `r2` - DESCRIBE THE PARAMETER

### mergeTest

    public void mergeTest(IdRange r1,
                          IdRange r2)

  DESCRIBE THE METHOD

  Parameters:
    `r1` - DESCRIBE THE PARAMETER
    `r2` - DESCRIBE THE PARAMETER

### main

    public static void main(java.lang.String[] args)

  DESCRIBE THE METHOD

  Parameters:
    `args` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.